<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <androidx.appcompat.widget.Toolbar
        android:id="@+id/mToolbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryDark"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:text="@string/nav_profile"
                android:textColor="@color/white"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold" />

            <ImageView
                android:id="@+id/iv_setting"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="@dimen/margin_1x_size"
                android:src="@drawable/ic_setting"
                android:tag="SETTING" />

        </RelativeLayout>


    </androidx.appcompat.widget.Toolbar>

    <LinearLayout
        android:id="@+id/layout_parent_profile"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/mToolbar"
        android:background="@color/colorPrimaryDark"
        android:orientation="horizontal"
        android:padding="@dimen/margin_1x_size">


        <ImageView
            android:id="@+id/iv_profile"
            android:layout_width="70dp"
            android:layout_height="70dp"
            android:layout_marginStart="5dp"
            android:src="@drawable/ic_yes_profile"
            android:tag="PROFILE"
            app:civ_border_color="@android:color/white"
            app:civ_border_width="2dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="@dimen/margin_2x_size"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/tv_username"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/white"
                android:textSize="@dimen/large_text_size"
                android:textStyle="bold" />

            <LinearLayout
                android:id="@+id/layout_view_sub_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:tag="VIEW_SUB_NUMBER">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_phone_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/white"
                    android:textSize="@dimen/large_text_size"
                    android:textStyle="bold" />

                <ImageView
                    android:id="@+id/view_sub_number"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom"
                    android:layout_marginStart="@dimen/margin_1x_size"
                    android:layout_marginBottom="@dimen/margin_1x_size"
                    android:src="@drawable/add_number_icon"
                    android:visibility="gone"
                    app:tint="@color/white" />
            </LinearLayout>


        </LinearLayout>


    </LinearLayout>

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/tv_login_sign_up"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/layout_parent_profile"
        android:layout_centerInParent="true"
        android:background="@color/white"
        android:gravity="center"
        android:tag="LOGIN"
        android:text="Login or Signup"
        android:textSize="25sp"
        android:textStyle="bold"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/mSwipeRefreshLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/layout_parent_profile">


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.seatel.mobilehall.util.customview.ErrorHandleView
                android:id="@+id/error_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_view_my_subscription"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </RelativeLayout>
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

</RelativeLayout>